(**
   {ɦW :  NewButton.pas
   {ت:
          ۦ]p NewButton Object
          Property:
              Value
          Method:
              ShowValue

   [c:
     TNewButton = class(TButton)
      public                             // method
        constructor Create(AOwner: TComponent); override;
        procedure ShowValue;
      published                          // property
        property  Value:integer Read GetValue write SetValue;  // Caption+inttostr(Value)
     end;
**)

unit NewButton;
interface
uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
      StdCtrls;
type
   TNewButton = class(TButton)
   private
     fValue:integer;
     function  GetValue:integer;
     procedure SetValue(par_Value:integer);
   public
     constructor Create(AOwner: TComponent); override;
     procedure ShowValue;
   published
     property  Value:integer Read GetValue write SetValue default 10;  // Caption+inttostr(Value)
   end;
procedure Register;
implementation
procedure Register;
begin
  RegisterComponents('Teach',[TNewButton]);
end;

constructor TNewButton.Create(AOwner: TComponent);
begin
  inherited;
  fValue:=10;
end;

function  TNewButton.GetValue:integer;
begin
  result:=fValue;
end;

procedure TNewButton.SetValue(par_Value:integer);
begin
  fValue:=par_Value;
end;

procedure TNewButton.ShowValue;
begin
  Caption:='Value = '+inttostr(fValue);
end;


end.
 
